local addon = WakeSpams
local module = addon:NewModule("SpellList")
WakeSpams.Spells = module

do
	local _, class = UnitClass("player");
	if not class then print("Error: WakeSpams was unable to retrieve player englishclass.") end
	
	--[[
		SpellList args:
		Spell ID {
			disabled = boolean
			name = string (optional) custom spell name
			txt = string (optional) message on start
			txtend = string (optional) message on end8
			dur = int (optional) spell duration
			countdown = int (optional) fade countdown in chat, set to "0" to only announce fade, > 0 to announce countdown and fade, nil to not announce fade, default = nil
			whisper = boolean, default = nil
			aoe = boolean, default = nil
			output = string (optional) output channel
			event = string (optional) event name
		}
	]]
	
	if(class == "DEATHKNIGHT") then
		addon.SpellList = {
			[48792] = { -- Icebound Fortitude
				dur = 12,
				countdown = 0,
			},
			[55233] = { -- Vampiric Blood
				dur = 15,
				countdown = 0,
			},
			[56222] = { -- Dark Command taunt
				txt = "Taunt Failed: #s# on #t# (#extra#)",
				event = "SPELL_MISSED",
			},
			[49560] = { -- Death Grip (taunt component)
				txt = "Taunt Failed: #s# on #t# (#extra#)",
				event = "SPELL_MISSED",
			},
			[49016] = { -- Hysteria (whisper)
				txt = "Activated: #s# on YOU - #d#s!",
				dur = 30,
				whisper = true,
				countdown = 0,
			},
			[47476] = { -- Strangulate
				txt = "#s#: #t#",
			},
		}
	end
	
	if(class == "DRUID") then
		addon.SpellList = {
			[22812] = { -- Barkskin
				dur = 12,
				countdown = 0,
			},
			[61336] = { -- Survival Instincts
				dur = 20,
				countdown = 0,
			},
			[29166] = { -- Innervate (whisper)
				txt = "Activated: #s# on YOU - #d#s!",
				dur = 10,
				countdown = 0,
				whisper = true,
			},
			[8983] = { -- Bash
				txt = "Activated: #s# on #t#!",
				countdown = 0,
			},
			[48477] = { -- Rebirth
				txt = "#s# on #t#!",
				event = "SPELL_RESURRECT",
			},
		}
	end
	
	if(class == "HUNTER") then
		addon.SpellList = {
			[34477] = { -- Misdirection (cast... Not tested)
				txt = "#s# on #t#!",
				event = "SPELL_CAST_SUCCESS",
				whisper = true,
			},
		}
	end
	
	if(class == "PALADIN") then
		addon.SpellList = {
			[20236] = { -- Lay on Hands (holy phys. damage reduction only. Right spell id?)
				txt = "Activated: #s# on #t# - #d#s!",
				dur = 15,
				countdown = 0,
			},
			[31821] = { -- Aura Mastery
				dur = 6,
				countdown = 0,
			},
			[498] = { -- Divine Protection
				dur = 12,
				countdown = 0,
			},
			[70940] = { -- Divine Guardian (DiSac raid component)
				dur = 6,
				countdown = 0,
			},
			[66235] = { -- Ardent Defender proc (Not tested)
				txt = "#s# saved me! Healed #amount#!",
				event = "SPELL_HEAL",
			},
			[10308] = { -- Hammer of Justice
				txt = "Activated: #s# on #t#!",
				countdown = 0,
			},
			[48817] = { -- Holy Wrath
				countdown = 0,
				aoe = true,
			},
			[1044] = { -- Hand of Freedom
				txt = "#s# on YOU - #d#s!",
				dur = 6,
				whisper = true,
			},
			[10278] = { -- Hand of Protection
				txt = "Activated: #s# on #t# - #d#s!",
				dur = 10,
			},
			[6940] = { -- Hand of Sacrifice
				txt = "Activated: #s# on #t# - #d#s!",
				dur = 12,
				countdown = 0,
			},
			[1038] = { -- Hand of Salvation (whisper)
				dur = 10,
				txt = "Activated: #s# on YOU - #d#s!",
				countdown = 0,
				whisper = true,
			},
		}
	end
	
	if(class == "PRIEST") then
		addon.SpellList = {
			[65081] = { -- Body and Soul (target effect triggered by body and soul)
				txt = "#s# on YOU - meep meep!",
				dur = 4,
				whisper = true,
			},
			[10890] = { -- Psychic Scream
				dur = 8,
				aoe = true,
			},
			[10060] = { -- Power Infusion (whisper)
				txt = "Activated: #s# on YOU - #d#s!",
				dur = 15,
				whisper = true,
				countdown = 0,
			},
			[64901] = { -- Hymn of Hope
				txt = "Activated: #s#!",
				event = "SPELL_CAST_SUCCESS",
			},
			[47788] = { -- Guardian Spirit
				txt = "Activated: #s# on #t# - #d#s!",
				dur = 10,
				countdown = 2,
			},
			[48153] = { -- Guardian Spirit (heal)
				txt = "#s# healed #t# for #amount#",
				event = "SPELL_HEAL",
			},
			[33206] = { -- Pain Suppression
				txt = "Activated: #s# on #t# - #d#s!",
				dur = 8,
				countdown = 0,
			},
			[64843] = { -- Divine Hymn
				txt = "Activated: #s#!",
				event = "SPELL_CAST_SUCCESS",
			},
		}
	end
	
	if(class == "ROGUE") then
		addon.SpellList = {
			[57934] = { -- Tricks of the Trade (cast... Not tested)
				txt = "#s# on #t#!",
				dur = 6,
				event = "SPELL_CAST_SUCCESS",
				whisper = true,
			},
			[1833] = { -- Cheap Shot
				txt = "Activated: #s# on #t#!",
				countdown = 0,
			},
			[8643] = { -- Kidney Shot
				txt = "Activated: #s# on #t#!",
				countdown = 0,
			},
		}
	end
	
	if(class == "SHAMAN") then
		addon.SpellList = {
			[2825] = { -- Bloodlust
				txt = "Activated: #s#! #d# SECONDS OF PURE FOCUS",
				dur = 40,
				countdown = 0,
			},
			[32182] = { -- Heroism
				txt = "Activated: #s#! #d# SECONDS OF PURE FOCUS",
				dur = 40,
				countdown = 0,
			},
		}
	end
	
	if(class == "WARRIOR") then
		addon.SpellList = {
			[871] = { -- Shield Wall
				dur = 12,
				countdown = 0,
			},
			[12975] = { -- Last Stand
				dur = 20,
				countdown = 0,
			},
			[46968] = { -- Shockwave
				txt = "Activated: #s#!",
				countdown = 0,
			},
			[12809] = { -- Concussion Blow
				txt = "Activated: #s# on #t#!",
				dur = 5,
				countdown = 0,
			},
		}
	end
	
	if(class == "WARLOCK") then
		addon.SpellList = {
			[1122] = { -- Summon Inferno
				txt = "Activated: #s#!",
				countdown = 0,
				event = "SPELL_CAST_SUCCESS",
			},
			[17928] = { -- Howl of Terror
				aoe = true,
			},
		}
	end
	
	addon.SpellEvent = {
		["SPELL_DISPEL_FAILED"] = {
			txt = "#s# Dispel Failed: #t# #extra:SpellLink#",
		},
		["SPELL_INTERRUPT"] = {
			txt = "#s# Interrupted: #t# #extra:SpellLink#",
		},
	}
	
	-- Helps the combat log scanner spell search by listing them by event. But... I dont even need to xDDD
	--addon:SetupEventHelper()
end

